Bug 63634

Summary: Align setproxy target in build.xml with 8.5/9.0
Product: Tomcat 7 Reporter: Michael Osipov <michaelo>
Component: IntegrationAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: enhancement CC: michaelo
Priority: P2    
Version: 7.0.96   
Target Milestone: ---   
Hardware: All   
OS: All   

Description Michael Osipov 2019-08-05 11:32:48 UTC
Stumbled upon this when starting testing at work:

It is a bit of a pain changing proxy.use=on to proxy.use=true when testing between Tomcat versions behind a proxy.
I propose to drop the proxyflags target and use the 'if' attribute on setproxy.

I'll prepare a PR for that.

This change is backwards compatible because the if attribute also accepts on as far as I can see.
Comment 1 Michael Osipov 2019-08-05 11:47:46 UTC
This requires Ant 1.8.0+ and we require Ant 1.8.2 in BUILDING.txt, so this should be safe to do.
Comment 2 Michael Osipov 2019-08-05 13:27:21 UTC
Fixed in:
- 7.0.x for 7.0.97 onwards